import React, { useState } from 'react'
import Taro from '@tarojs/taro'
import { View, Text, Image } from '@tarojs/components'
import ContainerLayout from '../../compents/container/index'
import icon from '../../assets/icon.png'
import './index.scss'
import userRloe from '../../util/userRole'
import { useSelector } from 'react-redux'

const guide = (props) => {

    const user = useSelector(state => state.user)
    // const guide = useSelector(state => state.guide)

    const { value, ...prop } = props
    console.log(guide,'guide')
    const [state, setState] = useState(1)

    const [imgurl, setImgurl] = useState('')

    const onToMap = (type) => {
        if (user.role == userRloe.customer) return
        console.log(type)
        switch (type){
            case 'house':Taro.navigateTo({ url: `/pages/map/index?type=${type}` }); break;
            case 'park':Taro.navigateTo({ url: `/pages/map/index?type=${type}` }); break;
            case 'wifi':Taro.navigateTo({ url: `/pages/wifi/index?type=${type}` }); break;
            case 'image':{
                wx.chooseImage({
                count: 1,
                sizeType: ['original', 'compressed'],
                sourceType: ['album',],
                success: (res)=> {
                  // tempFilePath可以作为img标签的src属性显示图片
                
                  console.log(res)
                  const tempFilePaths = res.tempFilePaths
                    setImgurl(tempFilePaths[0])
                }
              }); break;}
        }
        // Taro.navigateTo({ url: `/pages/map/index?type=${type}` })
    }
    // 
    return <View className='guide'>
        <View className='guide-view'>
            <Text className='guide-view-info'>房屋位置</Text>
            <ContainerLayout className='guide-view-layout' style={{ display: 'flex', justifyContent: 'space-between' }} onClick={() => onToMap('house')}>
                <View  >
                    <View className='guide-view-layout-text1' >南京市 浦口</View>
                    <View className='guide-view-layout-text2'>秦淮区仙鹤街</View>
                </View>
                {user.role == userRloe.customer && <View style={{ float: 'right' }}>
                    <Image className='icon' src={icon} />
                    <View className='icontext'>去这里</View>
                </View>}
            </ContainerLayout>
        </View>
        <View className='guide-view'>
            <Text className='guide-view-info'>停车位置</Text>
            <ContainerLayout className='guide-view-layout' style={{ display: 'flex', justifyContent: 'space-between' }} onClick={() => onToMap('park')}>
                <View  >
                    <View className='guide-view-layout-text1' >南京市 浦口</View>
                    <View className='guide-view-layout-text2'>秦淮区仙鹤街</View>
                </View>
                {user.role == userRloe.customer && <View style={{ float: 'right' }}>
                    <Image className='icon' src={icon} />
                    <View className='icontext'>去这里</View>
                </View>}
            </ContainerLayout>
        </View>
        <View className='guide-view'>
            <Text className='guide-view-info'>wifi信息</Text>
            <ContainerLayout className='guide-view-layout guide-view-wifi' onClick={() => onToMap('wifi')}>
                <View>
                    <Text>名称：</Text><Text>{4324}</Text>
                </View>
                <View>
                    <Text>密码：</Text><Text>{23423}</Text>
                </View>
            </ContainerLayout>
        </View>
        <View className='guide-view'>
            <Text className='guide-view-info'>其他指引</Text>
            {/* <ContainerLayout className='guide-view-layout guide-view-img'> */}
            <Image className='guide-view-img' mode='widthFix' onClick={() => onToMap('image')} src={imgurl||"https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=1657471424,2319316184&fm=26&gp=0.jpg"}></Image>
            {/* </ContainerLayout> */}
        </View>

    </View>
};

export default guide