import React, { useEffect, useState } from 'react'
import Taro from '@tarojs/taro'
import { View, Text, Image } from '@tarojs/components'
import ContainerLayout from '../../compents/container/index'
import more from '../../assets/more.png'
import deleteicon from '../../assets/deleteicon.png'
import userRloe from '../../util/userRole'
import './index.scss'
import { useSelector } from 'react-redux'
import { AtFab } from 'taro-ui'

const recommend = (props) => {

    const user = useSelector(state => state.user)

    const { value, ...prop } = props

    const [state, setState] = useState(1)
    const [list, setList] = useState([])
    const [id, setId] = useState()
    useEffect(() => {
        setList([{
            id: 1,
            src: 'https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=1657471424,2319316184&fm=26&gp=0.jpg',
            title: '八八餐厅1',
            srcdetail: '',
        }, {
            id: 2,
            src: 'https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=1657471424,2319316184&fm=26&gp=0.jpg',
            title: '八八餐厅2',
            srcdetail: '',
        }, {
            id: 3,
            src: 'https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=1657471424,2319316184&fm=26&gp=0.jpg',
            title: '八八餐厅3',
            srcdetail: '',
        }, {
            id: 4,
            src: 'https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=1657471424,2319316184&fm=26&gp=0.jpg',
            title: '八八餐厅4',
            srcdetail: '',
        }])
    }, [])

    
    // 

    const onClick = (item) => {
        if(user.role == userRloe.customer){
            setId(item.id)
        }
        else{
            Taro.showModal({
                title: '确定删除该图片吗？',
                content: '确定后，相关房东推荐会即时更新',
                cancelColor:'#d2d2d2',
                confirmColor:"#274191",
                success: function (res) {
                    if (res.confirm) {
                        console.log('用户点击确定')
        
                     
                    } else if (res.cancel) {
                        console.log('用户点击取消')
                    }
                }
            })
        }
        
    }
    return <View className='recommend'>
        {
            true && list.map((x) => {
                return <View className='recommend-view'>
                    <ContainerLayout className='recommend-view-layout' >
                        {id != x.id ? <View><Image className='recommend-view-img' src={x.src} style={{ height: '280rpx' }}></Image>
                            <View style={{ display: 'flex', justifyContent: 'space-between' }}>
                                <View className='recommend-view-info'>
                                    <Text className='recommend-view-info-title'>{x.title}</Text>
                                    <Text className='introduction'>水煮鱼</Text>
                                </View>
                               { userRloe.customer==user.role ?  <Image className='icon' src={more  } onClick={() => onClick(x)}></Image>

                              :  <Image className='icon' src={ deleteicon } style ={{width:'40rpx'}} onClick={() => onClick(x)}></Image>
                              }
                            </View>
                        </View> :
                            <View><Image className='recommend-view-img' mode='widthFix' src="https://ss1.bdstatic.com/70cFvXSh_Q1YnxGkpoWK1HF6hhy/it/u=3184265929,203096592&fm=26&gp=0.jpg"></Image>
                                <View style={{ display: 'flex', justifyContent: 'space-between' }}>
                                    <View className='recommend-view-info'>
                                        <Text className='text'>地址：{x.title}</Text>
                                        <Text className='text'>推荐：水煮鱼</Text>
                                    </View>
                                </View>
                            </View>
                        }
                    </ContainerLayout>
                </View>
            })
        }
<AtFab>
  <Text className='at-fab__icon at-icon at-icon-menu'></Text>
</AtFab>
        {
            false && <View className='recommend-noorder' style={{ marginTop: 'calc(40vh)' }}>
                <Text>哎呀</Text>
                <Text>暂时没发现您的入住订单呢~</Text>


            </View>
        }


    </View>
};

export default recommend